> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Availability Search Accommodation by Location Id



## OpenAPI

````yaml /openapi/accomsoa-api.openapi.json post /accommodationapi/v1/availSearchByLocationID
openapi: 3.0.0
info:
  description: AccomSOA API for accommodation, activity, and EBS-related booking workflows.
  version: 1.0.0
  title: AccomSOA API
  contact:
    name: Adventium Tech Support
    url: https://www.adventium.tech
    email: tech-support@adventium.tech
servers:
  - url: //accomsoatest.websitetravel.com
security: []
tags:
  - name: accommodation-controller
    description: Accommodation Controller
  - name: activity-controller
    description: Activity Controller
  - name: basic-error-controller
    description: Basic Error Controller
  - name: ebs-controller
    description: EBS Controller
  - name: index-controller
    description: Index Controller
paths:
  /accommodationapi/v1/availSearchByLocationID:
    post:
      tags:
        - accommodation-controller
      summary: Availability Search Accommodation by Location Id
      operationId: availSearchByLocationIdUsingPOST
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestData_AvailSearchByLocationIdRQ_'
        description: availSearchByLocationInput
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseData_Set_AccommodationResult_'
        '201':
          description: Created
        '400':
          description: Failed
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    RequestData_AvailSearchByLocationIdRQ_:
      type: object
      properties:
        agentID:
          type: string
        data:
          $ref: '#/components/schemas/AvailSearchByLocationIdRQ'
        site:
          type: string
      title: RequestData«AvailSearchByLocationIdRQ»
    ResponseData_Set_AccommodationResult_:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/AccommodationResult'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
        status:
          type: integer
          format: int32
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
      title: ResponseData«Set«AccommodationResult»»
    AvailSearchByLocationIdRQ:
      type: object
      properties:
        checkin:
          type: string
          example: yyyy-MM-dd
        checkout:
          type: string
          example: yyyy-MM-dd
        filterDirect:
          type: boolean
        locationId:
          type: string
        nameFilter:
          type: string
        resultsLimit:
          type: integer
          format: int32
        rooms:
          type: integer
          format: int32
        starsFilter:
          type: array
          items:
            type: number
        travellerMix:
          type: string
          example: 2A1C-10
          description: nAmC-n1-n2-n3
        zoneId:
          type: string
      title: AvailSearchByLocationIdRQ
    AccommodationResult:
      type: object
      properties:
        property:
          $ref: '#/components/schemas/AccommodationProperty'
        rooms:
          type: array
          items:
            $ref: '#/components/schemas/Room'
      title: AccommodationResult
    ResponseExtraInformation:
      type: object
      properties:
        code:
          type: string
        text:
          type: string
      title: ResponseExtraInformation
    AccommodationProperty:
      type: object
      properties:
        chain:
          type: string
        country:
          type: string
        destination:
          $ref: '#/components/schemas/Destination'
        id:
          type: string
        images:
          type: array
          items:
            $ref: '#/components/schemas/Image'
        introduction:
          type: string
        latitude:
          type: number
        longitude:
          type: number
        productType:
          type: string
        propertyName:
          type: string
        rating:
          type: number
        ratingText:
          type: string
      title: AccommodationProperty
    Room:
      type: object
      properties:
        cancellationPolicyText:
          type: string
        defaultRateCode:
          type: string
        extraFees:
          type: array
          items:
            $ref: '#/components/schemas/RoomExtraFee'
        inventory:
          type: integer
        promotions:
          type: array
          items:
            $ref: '#/components/schemas/RoomPromotion'
        requiresRecheck:
          type: boolean
        roomCancellationPolicy:
          type: array
          items:
            $ref: '#/components/schemas/RoomCancellationPolicyLine'
        roomCode:
          type: string
        roomName:
          type: string
        roomNumber:
          type: integer
          format: int32
        rrpIsMandatory:
          type: boolean
        source:
          type: string
        supplyRate:
          $ref: '#/components/schemas/CurrencyValue'
        totalRate:
          $ref: '#/components/schemas/CurrencyValue'
      title: Room
    Destination:
      type: object
      properties:
        code:
          type: string
        countryCode:
          type: string
          xml:
            name: countryCode
            attribute: true
            wrapped: false
        groupZones:
          $ref: '#/components/schemas/GroupZones'
        isoCode:
          type: string
          xml:
            name: isoCode
            attribute: true
            wrapped: false
        name:
          type: string
          xml:
            name: name
            attribute: false
            wrapped: false
        zone:
          type: string
        zones:
          $ref: '#/components/schemas/Zones'
      title: Destination
    Image:
      type: object
      properties:
        imageDescription:
          type: string
        imageURL:
          type: string
      title: Image
    RoomExtraFee:
      type: object
      properties:
        description:
          type: string
        fee:
          $ref: '#/components/schemas/CurrencyValue'
        feeType:
          type: string
          enum:
            - CheckinFees
            - CheckoutFees
            - BookingFees
      title: RoomExtraFee
    RoomPromotion:
      type: object
      properties:
        customerFulfillmentRequirements:
          type: string
        promoType:
          type: string
          enum:
            - MEAL
            - VALUEADD
            - DISCOUNT_OFFER
        shortMarketingText:
          type: string
        termsAndConditions:
          type: string
      title: RoomPromotion
    RoomCancellationPolicyLine:
      type: object
      properties:
        asOf:
          type: string
          format: date
        before:
          type: boolean
        penalty:
          $ref: '#/components/schemas/CurrencyValue'
        penaltyDescription:
          type: string
      title: RoomCancellationPolicyLine
    CurrencyValue:
      type: object
      required:
        - amount
        - currencyId
      properties:
        amount:
          type: number
          example: 100
        currencyId:
          type: string
          example: AUD
      title: CurrencyValue
    GroupZones:
      type: object
      properties:
        zone:
          type: array
          items:
            $ref: '#/components/schemas/Zone'
      title: GroupZones
      xml:
        name: groupZones
        attribute: false
        wrapped: false
    Zones:
      type: object
      properties:
        zone:
          type: array
          items:
            $ref: '#/components/schemas/Zone'
      title: Zones
      xml:
        name: zones
        attribute: false
        wrapped: false
    Zone:
      type: object
      properties:
        name:
          type: string
          xml:
            name: name
            attribute: true
            wrapped: false
        zoneCode:
          type: string
          xml:
            name: zoneCode
            attribute: true
            wrapped: false
      title: Zone
      xml:
        name: zone
        attribute: false
        wrapped: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.